3PAR StoreServ Storage
cancel
Showing results for 
Search instead for 
Did you mean: 

3PAR SRA connection failure (TLS related?)

 
Highlighted
bertdb
Occasional Visitor

3PAR SRA connection failure (TLS related?)

Trying to get a VMware SRM server to communicate with a pair of 3PAR arrays. Has worked in the past, but can't connect after new installation of VMware SRM 6.1.2.2. Even command line tpdsrm.exe fails with "The client and server cannot communicate, because they do not possess a common algorithm"

3PAR runs 3.2.2.612 (MU4)+P56,P59,P94,P98,P102,P106,P113,P118,P127

P106 sets 3PAR to TLS 1.2 only, so I have a feeling that's the cause? 

Have tried suggestions from https://support.microsoft.com/kn-in/help/3140245/update-to-enable-tls-1-1-and-tls-1-2-as-default-secure-protocols-in-wi

 

>TPDSrm.exe validatecert -sys ip.ip.ip.ip -user XXXX -pass YYYYYYY
[2018-11-30 11:11:24.652 'MainCli.LoadRegisteredCertificate' 3PAR_9999 info (Process id=5660) (Thread id=1)] Process : 5660 thread ID: 1 is waiting to gain access keystore
[2018-11-30 11:11:24.652 'MainCli.LoadRegisteredCertificate' 3PAR_9999 info (Process id=5660) (Thread id=1)] Process : 5660 thread ID: 1 is acquired read access to keystore
[2018-11-30 11:11:24.668 'MainCli.LoadRegisteredCertificate' 3PAR_9999 info (Process id=5660) (Thread id=1)] Process : 5660 thread ID: 1 releasing resources
Error. Exception has occurred: The client and server cannot communicate, because they do not possess a common algorithm

 

Any idea's?

 

1 REPLY 1
Highlighted
Paulpd
HPE Pro

Re: 3PAR SRA connection failure (TLS related?)

Hi ,

What is the version the HPE 3PAR SRA ? I hope it is lesser than 6.5.4.

Issue :-

The previous versions of SRAs ( Lesser than 6.54) do not support lesser inform OS than 3PAR OS 3.2.2 MU6 due to the TLS change.

However, In 3.2.2 MU6, only TLS 1.2  is enabled, therefore it prevents array communication using TLS 1.1 or 1.0. Previous version of SRAs do not support TLS 1.2, these versions use TLS 1.1, so it stopped working with 3.2.2 MU6 as well.

Solution :-

======

So SRA LAB has solved this problem in the SRA 6.5.4 version.

SRA LAB had qualified SRA 6.5.4 with other inform OS as well and it works fine. and they will be updating SRA SPOCK to add this support.

Please ask the customer to upgrade to SRA 6.5.4 which works with 3PAR OS 3.3.1, 3.2.2 and 3.2.1 and SRM versions 6.5, 6.1, 6.0, 5.8, 5.5.

 

Please let us know if you have any further questions.